rubygem-sqlite3-1.3.9-1-rosa2014.1.x86_64.rpm


Advertisement

Description

rubygem-sqlite3 - Interface with the SQLite3 database engine

Property Value
Distribution ROSA 2014.1
Repository ROSA Contrib x86_64
Package name rubygem-sqlite3
Package version 1.3.9
Package release 1-rosa2014.1
Package architecture x86_64
Package type rpm
Installed size 86.17 KB
Download size 28.43 KB
Official Mirror mirror.rosalab.ru
This module allows Ruby programs to interface with the SQLite3
database engine (http://www.sqlite.org).  You must have the
SQLite engine installed in order to build this module.
Note that this module is only compatible with SQLite 3.6.16 or newer.

Alternatives

Package Version Architecture Repository
rubygem-sqlite3-1.3.9-1-rosa2014.1.i586.rpm 1.3.9 i586 ROSA Contrib
rubygem-sqlite3 - - -

Requires

Name Value
libc.so.6()(64bit) -
libc.so.6(GLIBC_2.2.5)(64bit) -
libruby.so.2.1()(64bit) -
libsqlite3.so.0()(64bit) -
ruby(abi) == 2.1.0
rubygems >= 1.3.5

Provides

Name Value
rubygem(sqlite3) == 1.3.9
rubygem-sqlite3 == 1.3.9-1:2014.1
sqlite3_native.so()(64bit) -

Download

Type URL
Binary Package rubygem-sqlite3-1.3.9-1-rosa2014.1.x86_64.rpm
Source Package rubygem-sqlite3-1.3.9-1.src.rpm

Install Howto

  1. Enable ROSA Contrib repository on Install and Remove Software
  2. Update packages list:
    # urpmi.update -a
  3. Install rubygem-sqlite3 rpm package:
    # urpmi rubygem-sqlite3

Files

Path
/usr/lib/ruby/2.1.0/site_ruby/2.1.0/x86_64-linux/sqlite3/sqlite3_native.so
/usr/lib/ruby/gems/2.1.0/gems/sqlite3-1.3.9/lib/sqlite3.rb
/usr/lib/ruby/gems/2.1.0/gems/sqlite3-1.3.9/lib/sqlite3/constants.rb
/usr/lib/ruby/gems/2.1.0/gems/sqlite3-1.3.9/lib/sqlite3/database.rb
/usr/lib/ruby/gems/2.1.0/gems/sqlite3-1.3.9/lib/sqlite3/errors.rb
/usr/lib/ruby/gems/2.1.0/gems/sqlite3-1.3.9/lib/sqlite3/pragmas.rb
/usr/lib/ruby/gems/2.1.0/gems/sqlite3-1.3.9/lib/sqlite3/resultset.rb
/usr/lib/ruby/gems/2.1.0/gems/sqlite3-1.3.9/lib/sqlite3/statement.rb
/usr/lib/ruby/gems/2.1.0/gems/sqlite3-1.3.9/lib/sqlite3/translator.rb
/usr/lib/ruby/gems/2.1.0/gems/sqlite3-1.3.9/lib/sqlite3/value.rb
/usr/lib/ruby/gems/2.1.0/gems/sqlite3-1.3.9/lib/sqlite3/version.rb
/usr/lib/ruby/gems/2.1.0/specifications/sqlite3-1.3.9.gemspec

Changelog

2014-08-26 - abfonly <abfonly@gmail.com> 1.3.9-1
+ Revision: fa6d2db
- Merge pull request #1 from abfonly/rubygem-sqlite3:rosa2014.1
- abfonly

See Also

Package Description
rubygem-sqlite3-doc-1.3.9-1-rosa2014.1.noarch.rpm Documentation for rubygem-sqlite3
rubygem-state_machine-0.9.4-3-rosa2014.1.noarch.rpm Adds support for creating state machines for attributes on any Ruby class
rubygem-state_machine-doc-0.9.4-3-rosa2014.1.noarch.rpm Documentation for rubygem-state_machine
rubygem-stomp-1.1.7-5-rosa2014.1.noarch.rpm Ruby client for the Stomp messaging protocol
rubygem-stompserver-0.9.9-6-rosa2014.1.noarch.rpm A basic message queue processing server
rubygem-stringex-1.5.1-1-rosa2014.1.noarch.rpm Some [hopefully] useful extensions to Ruby's String class
rubygem-stringex-doc-1.5.1-1-rosa2014.1.noarch.rpm Documentation for rubygem-stringex
rubygem-syntax-1.0.0-3-rosa2014.1.noarch.rpm Syntax is Ruby library for performing simple syntax highlighting
rubygem-term-ansicolor-1.0.7-4-rosa2014.1.noarch.rpm Ruby library that colors strings using ANSI escape sequences
rubygem-term-ansicolor-doc-1.0.7-4-rosa2014.1.noarch.rpm Documentation for rubygem-term-ansicolor
rubygem-thin-1.3.1-4-rosa2014.1.x86_64.rpm A thin and fast web server
rubygem-thin-doc-1.3.1-4-rosa2014.1.noarch.rpm Documentation for rubygem-thin
rubygem-thor-0.14.6-6-rosa2014.1.noarch.rpm A scripting framework that replaces rake, sake and rubigen
rubygem-thread_safe-0.3.3-3-rosa2014.1.noarch.rpm Thread-safe collections and utilities for Ruby
rubygem-thread_safe-doc-0.3.3-3-rosa2014.1.noarch.rpm Documentation for rubygem-thread_safe
Advertisement
Advertisement